Bug 195997 - Flaky API Test: TestWebKitAPI.ServiceWorkers.ServiceWorkerAndCacheStorageDefaultDirectories
Summary: Flaky API Test: TestWebKitAPI.ServiceWorkers.ServiceWorkerAndCacheStorageDefa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-20 06:17 PDT by Aakash Jain
Modified: 2019-05-07 14:10 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.68 KB, patch)
2019-05-06 15:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.63 MB, application/zip)
2019-05-07 00:53 PDT, Build Bot
no flags Details
Patch for landing (1.69 KB, patch)
2019-05-07 13:13 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-03-20 06:17:49 PDT
TestWebKitAPI.ServiceWorkers.ServiceWorkerAndCacheStorageDefaultDirectories seems flaky. In https://ews-build.webkit-uat.org/#/builders/19/builds/2256, the test Passed in run-api-tests step. However, in the immediately next retry step (re-run-api-tests), it Failed.
Comment 1 Aakash Jain 2019-03-20 06:18:38 PDT
This test was added in https://trac.webkit.org/changeset/229150/webkit
Comment 2 Chris Dumez 2019-03-27 16:43:21 PDT
TestWebKitAPI.ServiceWorkers.ServiceWorkerAndCacheStorageDefaultDirectories
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        
        /Volumes/Data/worker/macOS-High-Sierra-Release-Build-EWS/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/ServiceWorkerBasic.mm:1324
        Value of: [[configuration websiteDataStore] _hasRegisteredServiceWorker]
          Actual: false
        Expected: true
Comment 3 Radar WebKit Bug Importer 2019-05-06 13:11:30 PDT
<rdar://problem/50509884>
Comment 4 Aakash Jain 2019-05-06 14:40:35 PDT
This test was added in https://trac.webkit.org/changeset/229150/webkit
Comment 5 youenn fablet 2019-05-06 15:53:24 PDT
Probably same issue as bug 194959
Comment 6 youenn fablet 2019-05-06 15:56:42 PDT
Created attachment 369190 [details]
Patch
Comment 7 Build Bot 2019-05-07 00:53:25 PDT
Comment on attachment 369190 [details]
Patch

Attachment 369190 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12120819

New failing tests:
http/tests/security/local-video-src-from-remote.html
Comment 8 Build Bot 2019-05-07 00:53:27 PDT
Created attachment 369253 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 9 youenn fablet 2019-05-07 07:56:17 PDT
Comment on attachment 369190 [details]
Patch

win error unrelated
Comment 10 Chris Dumez 2019-05-07 08:42:52 PDT
Comment on attachment 369190 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=369190&action=review

> Tools/ChangeLog:9
> +        Spin test until successful. 

Missing blank line after this.
Comment 11 youenn fablet 2019-05-07 13:13:35 PDT
Created attachment 369321 [details]
Patch for landing
Comment 12 WebKit Commit Bot 2019-05-07 14:10:01 PDT
Comment on attachment 369321 [details]
Patch for landing

Clearing flags on attachment: 369321

Committed r245034: <https://trac.webkit.org/changeset/245034>
Comment 13 WebKit Commit Bot 2019-05-07 14:10:02 PDT
All reviewed patches have been landed.  Closing bug.